- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: fb6512a7-826d-4b4d-90a1-f3794d669f52
    creation_time: 2023-02-17T13:38:05.565780Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4eb35d01-4f3b-4407-81af-535af30bf138
    creation_time: 2023-02-17T13:38:05.566153Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 75ca83db-38e5-438a-a0bf-055bcdc10409
    creation_time: 2023-02-17T13:38:05.566243Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a8a434a0-a904-44ea-8e7e-a3eb617bf3bd
    creation_time: 2023-02-17T13:38:05.566326Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1b386ba2-8f73-4adf-9e22-8324b6339b92
    creation_time: 2023-02-17T13:38:05.566405Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a3bbea9f-5712-4d18-99b0-2544420cdb86
    creation_time: 2023-02-17T13:38:05.566482Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5442d8da-863e-4b8b-ae71-1746b37916d2
    creation_time: 2023-02-17T13:38:05.566583Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_valuebound2.c: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_valuebound2.c
    file_hash: 69e3759b6e7ee15378e7391ad11d943bae32b67ab55c3e2fea94db5284daa3ec
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

